Subject: Re: BUG: cygwin-1.1.5-3 cannot call fl32 anymore...
From: Fons Rademakers <[email-masked]>
To: [email-masked]
Date: Thu, 02 Nov 2000 10:55:23 +0000

In the atachment find the part of the trace where fl32 is invoked.
It looks like the problem might be in spawn_guts(). If you need more
trace let me know.

The trace for cl looks the same except that spawn_guts returns with res 0.

-- Fons

>>$ fl32
>>fl32: error: Unmatched quote character in command line
>>
>>now I tried strace to see if I could see something about what is
>going on and, low and behold, this is what I got:
>>>
>>$ strace fl32
>DIGITAL Visual Fortran Optimizing Compiler Version: V5.0
>Copyright (c) 1997 Digital Equipment Corp. All rights reserved.
>>
>>notice that the MS VC++ 6.0 compiler works fine:
>
>That's not surprising.  strace is invoking the program in this case, not
>bash.
>
>You'll have to run 'strace -f -osomefile bash' and type in fl32 to see what
>cygwin is doing.
>
>cgf
>
-
-- 
Org:    CERN, European Laboratory for Particle Physics.
Mail:   1211 Geneve 23, Switzerland
E-Mail: [email-masked]              Phone: +41 22 7679248
WWW:    http://root.cern.ch/~rdm/            Fax:   +41 22 7677910

 1340  252454 [main] bash 916 set_sigcatchers: last 18, old 17, cur 0x41BB04, cur 0x0
 4267  256721 [main] bash 916 _spawnve: _spawnve (/c/Program Files/DevStudio/DF/bin/fl32, fl32, A0173B8)
 1797  258518 [main] bash 916 spawn_guts: spawn_guts (/c/Program Files/DevStudio/DF/bin/fl32)
 3234  261752 [main] bash 916 subproc_init: started wait_subproc thread 0xD0
 1549  263301 [main] bash 916 perhaps_suffix: prog '/c/Program Files/DevStudio/DF/bin/fl32'
 1491  264792 [main] bash 916 mount_info::conv_to_win32_path: conv_to_win32_path (/c/Program Files/DevStudio/DF/bin/fl32)
 1833  266625 [main] bash 916 normalize_posix_path: src /c/Program Files/DevStudio/DF/bin/fl32
 2298  268923 [main] bash 916 normalize_posix_path: /c/Program Files/DevStudio/DF/bin/fl32 = normalize_posix_path (/c/Program Files/DevStudio/DF/bin/fl32)
 2080  271003 [main] bash 916 mount_info::conv_to_win32_path: c:\Program Files\DevStudio\DF\bin\fl32(rel), c:\Program Files\DevStudio\DF\bin\fl32(abs) 0x0(flags) = conv_to_win32_path (/c/Program Files/DevStudio/DF/bin/fl32)
 3819  274822 [proc] bash 916 wait_subproc: starting
 2151  276973 [main] bash 916 symlink_info::check: not a symlink
 2117  279090 [main] bash 916 symlink_info::check: 0 = symlink.check (c:\Program Files\DevStudio\DF\bin\fl32.exe, 0x247E0AD) (0x0)
 2802  281892 [main] bash 916 path_conv::check: GetVolumeInformation(c:\) = OK, full_path(c:\Program Files\DevStudio\DF\bin\fl32.exe), set_has_acls(8)
 1675  283567 [main] bash 916 perhaps_suffix: buf c:\Program Files\DevStudio\DF\bin\fl32.exe, suffix found '.exe'
 6325  289892 [main] bash 916 winenv: envp 0xA0173B8, keep_posix 0
 2267  292159 [main] bash 916 winenv: env count 64, bytes 2488
 2823  294982 [main] bash 916 spawn_guts: spawn_guts null_app_name 0 (c:\Program Files\DevStudio\DF\bin\fl32.exe, "c:\Program Files\DevStudio\DF\bin\fl32.exe")
13569  308551 [main] bash 916 spawn_guts: 916 = spawn_guts (/c/Program Files/DevStudio/DF/bin/fl32, "c:\Program Files\DevStudio\DF\bin\fl32.exe")
 2182  310733 [main] bash 916! spawn_guts: spawned windows pid 924
78384  389117 [main] bash 916! spawn_guts: subprocess exited
 2182  391299 [main] bash 916! spawn_guts: res = 1
 1606  392905 [main] bash 916! proc_terminate: nchildren 0, nzombies 0
 1454  394359 [proc] bash 916! wait_subproc: looping
 1445  395804 [proc] bash 916! wait_subproc: done
 4982  400786 [main] bash 916! proc_subproc: args: 4, 1
 1588  402374 [main] bash 916! proc_subproc: clear waiting threads
 1365  403739 [main] bash 916! proc_subproc: finished clearing
 1335  405074 [main] bash 916! proc_subproc: returning 1
 1271  406345 [main] bash 916! proc_terminate: leaving
 3251  409596 [main] bash 916! __to_clock_t: dwHighDateTime 0, dwLowDateTime 2403456
 2069  411665 [main] bash 916! __to_clock_t: total 00000000 000000F0
 1338  413003 [main] bash 916! __to_clock_t: dwHighDateTime 0, dwLowDateTime 200288
 1244  414247 [main] bash 916! __to_clock_t: total 00000000 00000014
 1269  415516 [main] bash 916! _pinfo::exit: Calling ExitProcess 1
205566 21693665 [proc] bash 908 proc_subproc: args: 3, 0
 4039 21697704 [proc] bash 908 proc_subproc: pid 916[0] terminated, handle 0xF8, nchildren 1, nzombies 0
 2060 21699764 [proc] bash 908 remove_child: removing [0], pid 916, handle 0xF8, nchildren 1

--
Want to unsubscribe from this list?
Send a message to [email-masked]